<?xml version="1.0" encoding="GB2312"?>
<CompositionAssistant>
    <AlgoControl>
        <FramePeriod name="FramePeriod" value="1"></FramePeriod>
        <InvalidNum name="InvalidNum" value="2000"></InvalidNum>
        <enableCameraZoomMin name="enableCameraZoomMin" value="0.95"></enableCameraZoomMin>
        <enableCameraZoomMax name="enableCameraZoomMax" value="1.05"></enableCameraZoomMax>
        <cameraMotionDetectionThreshold name="cameraMotionDetectionThreshold" value="1"></cameraMotionDetectionThreshold>

        <enableJudgeFrameNum name="enableJudgeFrameNum" value="5"></enableJudgeFrameNum>
        <disableFrameNum name="disableFrameNum" value="165"></disableFrameNum>
        <runningFrameMax name="runningFrameMax" value="640"></runningFrameMax>
        <strategyNotMatchFrameMax name="strategyNotMatchFrameMax" value="90"></strategyNotMatchFrameMax>
        <strategyLegNotMatchFrameMax name="strategyLegNotMatchFrameMax" value="150"></strategyLegNotMatchFrameMax>
        <noFaceOrTargetNotUpdateFramesThreshold name="noFaceOrTargetNotUpdateFramesThreshold" value="15"></noFaceOrTargetNotUpdateFramesThreshold>

        <validRegionThreshold name="validRegionThreshold" value="0.09"></validRegionThreshold>

        <modeNum name="modeNum" value="3"></modeNum>
        <strategyMaxNum name="strategyMaxNum" value="10"></strategyMaxNum>
        <strategyCondMaxNum name="strategyCondMaxNum" value="10"></strategyCondMaxNum>


        <errorListSize name="errorListSize" value="60"></errorListSize>
        <errorWindowSize name="errorWindowSize" value="2"></errorWindowSize>
        <errorAscendMiniPercent name="errorAscendMiniPercent" value="1.02"></errorAscendMiniPercent>
        <errorShiftMiniThreshold name="errorShiftMiniThreshold" value="0.01"></errorShiftMiniThreshold>
        <errorAngleMiniThreshold name="errorAngleMiniThreshold" value="10"></errorAngleMiniThreshold>
        <errorTargetThreshold name="errorTargetThreshold" value="0.05"></errorTargetThreshold>
        <errorTargetMaxThreshold name="errorTargetMaxThreshold" value="0.1"></errorTargetMaxThreshold>

        <kalman_q name="kalman_q" value="0.001"></kalman_q>
        <kalman_r name="kalman_r" value="0.002"></kalman_r>

        <enableJudgeFaceStabilityFrameThreshold name="enableJudgeFaceStabilityFrameThreshold" value="10"></enableJudgeFaceStabilityFrameThreshold>
        <enableJudgeFaceStabilityLocationThreshold name="enableJudgeFaceStabilityLocationThreshold" value="0.01"></enableJudgeFaceStabilityLocationThreshold>
        <faceConfidenceThreshold name="faceConfidenceThreshold" value="0.95"></faceConfidenceThreshold>

        <motionDetectMaxShift name="motionDetectMaxShift" value="0.25"></motionDetectMaxShift>
        <algoResultMaxChangeRatio name="algoResultMaxChangeRatio" value="0.4"></algoResultMaxChangeRatio>
        <algoResultFaceNeckDistRatio name="algoResultFaceNeckDistRatio" value="0.45"></algoResultFaceNeckDistRatio>
        <algoResultFaceBodyDistRatio name="algoResultFaceBodyDistRatio" value="2.0"></algoResultFaceBodyDistRatio>
        <algoResultPoseBodyKeypointRatio name="algoResultPoseBodyKeypointRatio" value="0.75"></algoResultPoseBodyKeypointRatio>
        <algoResultFaceBodyEdgeDist name="algoResultFaceBodyEdgeDist" value="0.075"></algoResultFaceBodyEdgeDist>
        <algoResultPoseBodyEdgeDist name="algoResultPoseBodyEdgeDist" value="0.05"></algoResultPoseBodyEdgeDist>
        <algoResultWeight1 name="algoResultWeight1" value="0.6"></algoResultWeight1>
        <algoResultWeight2 name="algoResultWeight2" value="0.4"></algoResultWeight2>

        <legOffesetY name="legOffesetY" value="0.1"></legOffesetY>
        <faceAngleYaw name="faceAngleYaw" value="20"></faceAngleYaw>
        <faceAnglePitch name="faceAnglePitch" value="60"></faceAnglePitch>

        <faceOversize name="faceOversize" value="0.35"></faceOversize>
        <faceFeaturesize name ="faceFeaturesize" value="0.5"></faceFeaturesize>

        <facesCentricThreshold name="facesCentricThreshold" value="4.5"></facesCentricThreshold>
        <facesCentricBetweenCaceNumThreshold name="facesCentricBetweenCaceNumThreshold" value="3"></facesCentricBetweenCaceNumThreshold>
        <multiPosesFullbodyStandPercent name="multiPosesFullbodyStandPercent" value="0.66"></multiPosesFullbodyStandPercent>

        <standHWRatio name="standHWRatio" value="2.5"></standHWRatio>
        <standLegNeckRatio name="standLegNeckRatio" value="0.33"></standLegNeckRatio>
        <standShankThighDeltaRatio name="standShankThighDeltaRatio" value="0.3"></standShankThighDeltaRatio>
        <thighShankRatio name="thighShankRatio" value="0.65"></thighShankRatio>
        <thighNeckRatio name="thighNeckRatio" value="0.6"></thighNeckRatio>
        <keyPointMinDist name="keyPointMinDist" value="0.2"></keyPointMinDist>
		<standShanktoThighRatio1 name="standShanktoThighRatio1" value="1.5"></standShanktoThighRatio1>
		<standShanktoThighRatio2 name="standShanktoThighRatio2" value="3.0"></standShanktoThighRatio2>

        <poseElbowWristRatio name="poseElbowWristRatio" value="0.9"></poseElbowWristRatio>
        <poseAnkleStretchThreshold name="poseAnkleStretchThreshold" value="0.03"></poseAnkleStretchThreshold>
        <poseMaxRatio name="poseMaxRatio" value="1.2"></poseMaxRatio>
        <bodyEdgeThreshold name="bodyEdgeThreshold" value="0.02"></bodyEdgeThreshold>
        <bodycutThreshold name="bodycutThreshold" value="0.02"></bodycutThreshold>
        <kneeCutoffRatio name="kneeCutoffRatio" value="0.2"></kneeCutoffRatio>
        <wristCutoffRatio name="wristCutoffRatio" value="0.6"></wristCutoffRatio>
        <ankleCutoffRatio name="ankleCutoffRatio" value="0.5"></ankleCutoffRatio>
        <elbowShoulderRatio name="elbowShoulderRatio" value="1.3"></elbowShoulderRatio>
        <legBodyLenThreshold name="legBodyLenThreshold" value="0.56"></legBodyLenThreshold>
    </AlgoControl>
    <StrategyCentric>
        <pcondData>
            <Data name="Data" value="0"></Data>
            <Data name="Data" value="1"></Data>
        </pcondData>
        <ncondData>
            <Data name="Data" value="2"></Data>
            <Data name="Data" value="3"></Data>
            <Data name="Data" value="4"></Data>
            <Data name="Data" value="5"></Data>
        </ncondData>
        <Template>
            <Data name="x" value="0.5"></Data>
            <Data name="y" value="0.33"></Data>
            <Data name="y0" value="0.5"></Data>
            <Data name="z" value="20000"></Data>
            <Data name="yaw" value="20000"></Data>
            <Data name="pitch" value="20000"></Data>
            <Data name="roll" value="0"></Data>
        </Template>
    </StrategyCentric>
    <StrategySquares>
        <pcondData>
            <Data name="Data" value="0"></Data>
        </pcondData>
        <ncondData>
            <Data name="Data" value="1"></Data>
            <Data name="Data" value="2"></Data>
            <Data name="Data" value="3"></Data>
            <Data name="Data" value="4"></Data>
            <Data name="Data" value="5"></Data>
        </ncondData>
        <Template>
            <Data name="x" value="0.33"></Data>
            <Data name="y" value="0.33"></Data>
            <Data name="y0" value="0.5"></Data>
            <Data name="z" value="20000"></Data>
            <Data name="yaw" value="20000"></Data>
            <Data name="pitch" value="20000"></Data>
            <Data name="roll" value="0"></Data>
        </Template>
    </StrategySquares>
    <StrategySingleLeg>
        <pcondData>
            <Data name="Data" value="0"></Data>
            <Data name="Data" value="2"></Data>
        </pcondData>
        <ncondData>
            <Data name="Data" value="3"></Data>
            <Data name="Data" value="4"></Data>
            <Data name="Data" value="5"></Data>
        </ncondData>
        <Template>
            <Data name="x" value="0.5"></Data>
            <Data name="x0" value="0.33"></Data>
            <Data name="y" value="0.85"></Data>
            <Data name="y0" value="0.36"></Data>
            <Data name="z" value="0.7"></Data>
            <Data name="z0" value="0.5"></Data>
            <Data name="yaw" value="20000"></Data>
            <Data name="pitch" value="-105"></Data>
            <Data name="pitch0" value="-90"></Data>
            <Data name="roll" value="0"></Data>
        </Template>
    </StrategySingleLeg>
    <StrategyCutoff>
        <pcondData>
            <Data name="Data" value="0"></Data>
            <Data name="Data" value="3"></Data>
        </pcondData>
        <ncondData>
            <Data name="Data" value="4"></Data>
            <Data name="Data" value="5"></Data>
        </ncondData>
        <Template>
            <Data name="x" value="0.5"></Data>
            <Data name="y" value="1.0"></Data>
            <Data name="z" value="0.6"></Data>
            <Data name="yaw" value="20000"></Data>
            <Data name="pitch" value="20000"></Data>
            <Data name="roll" value="0"></Data>
        </Template>
    </StrategyCutoff>
    <StrategySymmetry>
        <pcondData>
            <Data name="Data" value="4"></Data>
        </pcondData>
        <ncondData>
            <Data name="Data" value="0"></Data>
            <Data name="Data" value="5"></Data>
        </ncondData>
        <Template>
            <Data name="x" value="0.5"></Data>
            <Data name="y" value="0.33"></Data>
            <Data name="z" value="20000"></Data>
            <Data name="yaw" value="20000"></Data>
            <Data name="pitch" value="20000"></Data>
            <Data name="roll" value="0"></Data>
        </Template>
    </StrategySymmetry>
    <StrategyMutilLeg>
        <pcondData>
            <Data name="Data" value="4"></Data>
            <Data name="Data" value="5"></Data>
        </pcondData>
        <ncondData>
            <Data name="Data" value="0"></Data>
        </ncondData>
        <Template>
            <Data name="x" value="0.5"></Data>
            <Data name="y" value="0.85"></Data>
            <Data name="y0" value="0.36"></Data>
            <Data name="z" value="20000"></Data>
            <Data name="z0" value="0.5"></Data>
            <Data name="yaw" value="20000"></Data>
            <Data name="pitch" value="-95"></Data>
            <Data name="pitch0" value="-90"></Data>
            <Data name="roll" value="0"></Data>
        </Template>
    </StrategyMutilLeg>
</CompositionAssistant>
